Skip to main content
GET
/
api
/
2.0
/
recurring_event_groups
List Recurring Event Groups
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/recurring_event_groups/ \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "practice": 123,
      "schedules": [
        {
          "duration": 123,
          "event_time": "<string>",
          "physician": 123,
          "series_start": "2023-12-25",
          "created_date": "2023-11-07T05:31:56Z",
          "description": "<string>",
          "dow_friday": true,
          "dow_monday": true,
          "dow_saturday": true,
          "dow_sunday": true,
          "dow_thursday": true,
          "dow_tuesday": true,
          "dow_wednesday": true,
          "id": 123,
          "series_stop": "2023-12-25"
        }
      ],
      "created_date": "2023-11-07T05:31:56Z",
      "deleted_date": "2023-11-07T05:31:56Z",
      "id": 123,
      "is_blocking": true,
      "reason": "<string>"
    }
  ],
  "count": 123,
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

end_date
string

End of range to filter event groups by schedule date. Returns any group with schedules that don't start after this date.

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

order_by
string

Which field to use when ordering the results.

physician
string[]

The ids of providers associated with these recurring event groups.

practice
integer<int64>[]

The practice for these recurring event groups.

reason
string[]

The name of the recurring event group.

start_date
string

Start of range to filter event groups by schedule date. Returns any group with schedules that don't end before this date.

time_slot_type
enum<string>
Available options:
appointment,
appointment_slot,
event

Response

200 - application/json
results
object[]
required
count
integer
Example:

123

next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"